Create a workspace
View as MarkdownPOST
/v1/workspacesCreates a workspace with you as its owner and an open, default teamspace called General.
curl -X POST "https://api.lydie.co/v1/workspaces" \
-H "Authorization: Bearer $LYDIE_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"name": "Notes"
}'Body
Client-minted id. Generated when omitted.
Response
{
"id": "01JCQ3TZ0WJ8K4M2X7T9R6N1PA",
"name": "Notes",
"role": "owner",
"createdAt": "2026-11-12T09:30:00.000Z",
"updatedAt": "2026-11-12T09:30:00.000Z"
}Errors use one envelope for every endpoint. See Errors and versions.